<?php

	/******************************************
	* @version  2.6
	* @Date  2019-01-21
	******************************************/

	if (!defined("WHMCS"))
		die("This file cannot be accessed directly");
		
	//List of country code
	$country_code=array("AC"=>247, "AD"=>376, "AE"=>971, "AF"=>93, "AG"=>1, "AI"=>1, "AL"=>355, "AM"=>374, "AN"=>599, "AO"=>244, "AQ"=>672, "AR"=>54, "AS"=>1, "AT"=>43, "AU"=>61, "AW"=>297, "AZ"=>994, "BA"=>387, "BB"=>1, "BD"=>880, "BE"=>32, "BF"=>226, "BG"=>359, "BH"=>973, "BI"=>257, "BJ"=>229, "BM"=>1, "BN"=>673, "BO"=>591, "BR"=>55, "BS"=>1, "BT"=>975, "BV"=>0, "BW"=>267, "BY"=>375, "BZ"=>501, "CA"=>1, "CC"=>61, "CD"=>243, "CF"=>236, "CG"=>242, "CH"=>41, "CI"=>225, "CK"=>682, "CL"=>56, "CM"=>237, "CN"=>86, "CO"=>57, "CR"=>506, "CU"=>53, "CV"=>238, "CX"=>61, "CY"=>357, "CZ"=>420, "DE"=>49, "DJ"=>253, "DK"=>45, "DM"=>1, "DO"=>1, "DZ"=>213, "EC"=>593, "EE"=>372, "EG"=>20, "EH"=>0, "ER"=>291, "ES"=>34, "ET"=>251, "FI"=>358, "FJ"=>679, "FK"=>500, "FM"=>691, "FO"=>298, "FR"=>33, "GA"=>241, "GB"=>44, "GD"=>1, "GE"=>995, "GF"=>594, "GG"=>0, "GH"=>233, "GI"=>350, "GL"=>299, "GM"=>220, "GN"=>224, "GP"=>590, "GQ"=>240, "GR"=>30, "GS"=>0, "GT"=>502, "GU"=>1, "GW"=>245, "GY"=>592, "HK"=>852, "HM"=>0, "HN"=>504, "HR"=>385, "HT"=>509, "HU"=>36, "ID"=>62, "IE"=>353, "IL"=>972, "IM"=>44, "IN"=>91, "IO"=>1, "IQ"=>964, "IR"=>98, "IS"=>354, "IT"=>39, "JE"=>0, "JM"=>1, "JO"=>962, "JP"=>81, "KE"=>254, "KG"=>996, "KH"=>855, "KI"=>686, "KM"=>269, "KN"=>1, "KP"=>850, "KR"=>82, "KW"=>965, "KY"=>1, "KZ"=>7, "LA"=>856, "LB"=>961, "LC"=>1, "LI"=>423, "LK"=>94, "LR"=>231, "LS"=>266, "LT"=>370, "LU"=>352, "LV"=>371, "LY"=>218, "MA"=>212, "MC"=>377, "MD"=>373, "MG"=>261, "MH"=>692, "MK"=>389, "ML"=>223, "MM"=>95, "MN"=>976, "MO"=>853, "MP"=>1, "MQ"=>596, "MR"=>222, "MS"=>1, "MT"=>356, "MU"=>230, "MV"=>960, "MW"=>265, "MX"=>52, "MY"=>60, "MZ"=>258, "NA"=>264, "NC"=>687, "NE"=>227, "NF"=>672, "NG"=>234, "NI"=>505, "NL"=>31, "NO"=>47, "NP"=>977, "NR"=>674, "NU"=>683, "NZ"=>64, "OM"=>968, "PA"=>507, "PE"=>51, "PF"=>689, "PG"=>675, "PH"=>63, "PK"=>92, "PL"=>48, "PM"=>0, "PN"=>0, "PR"=>1, "PS"=>970, "PT"=>351, "PW"=>680, "PY"=>595, "QA"=>974, "RE"=>262, "RO"=>40, "RS"=>381, "RU"=>7, "RW"=>250, "SA"=>966, "SB"=>677, "SC"=>248, "SD"=>249, "SE"=>46, "SG"=>65, "SH"=>0, "SI"=>386, "SJ"=>0, "SK"=>421, "SL"=>232, "SM"=>378, "SN"=>221, "SO"=>252, "SR"=>597, "ST"=>239, "SV"=>503, "SY"=>963, "SZ"=>268, "TC"=>1, "TD"=>235, "TF"=>0, "TG"=>228, "TH"=>66, "TJ"=>992, "TK"=>690, "TM"=>993, "TN"=>216, "TO"=>676, "TR"=>90, "TT"=>1, "TV"=>688, "TW"=>886, "TZ"=>255, "UA"=>380, "UG"=>256, "UM"=>1, "US"=>1, "UY"=>598, "UZ"=>998, "VA"=>0, "VC"=>1, "VE"=>58, "VG"=>1, "VI"=>0, "VN"=>84, "VU"=>678, "WF"=>681, "WS"=>0, "YE"=>967, "YT"=>269, "ZA"=>27, "ZM"=>260, "ZW"=>263);

	//List of state code
	$state_code["AU"]=array("NSW"=>"NEW SOUTH WALES", "VIC"=>"VICTORIA", "QLD"=>"QUEENSLAND", "ACT"=>"AUSTRALIAN CAPITAL TERRITORY", "NT"=>"NORTHERN TERRITORY", "TAS"=>"TASMANIA", "WA"=>"WESTERN AUSTRALIA", "SA"=>"SOUTH AUSTRALIA");
	$state_code["BR"]=array("AC"=>"AC","AL"=>"AL","AP"=>"AP","AM"=>"AM","BA"=>"BA","CE"=>"CE","ES"=>"ES","GO"=>"GO","MA"=>"MA","MT"=>"MT","MS"=>"MS","MG"=>"MG","PA"=>"PA","PB"=>"PB","PR"=>"PR","PE"=>"PE","PI"=>"PI","RJ"=>"RJ","RN"=>"RN","RS"=>"RS","RO"=>"RO","RR"=>"RR","SC"=>"SC","SP"=>"SP","SE"=>"SE","TO"=>"TO");
	$state_code["CA"]=array("AB"=>"ALBERTA", "BC"=>"BRITISH COLUMBIA", "MB"=>"MANITOBA", "NB"=>"NEW BRUNSWICK", "NL"=>"NEWFOUNDLAND", "NT"=>"NORTHWEST TERRITORIES", "NS"=>"NOVA SCOTIA", "NU"=>"NUNAVUT", "ON"=>"ONTARIO", "PE"=>"PRINCE EDWARD ISLAND", "QC"=>"QUEBEC", "SK"=>"SASKATCHEWAN", "YT"=>"YUKON TERRITORY");
	$state_code["IT"]=array("SV"=>"SV","VV"=>"VV","RC"=>"RC","RO"=>"RO","MC"=>"MC","AR"=>"AR","AT"=>"AT","AO"=>"AO","EN"=>"EN","MN"=>"MN","FO"=>"FO","BR"=>"BR","KR"=>"KR","PC"=>"PC","PA"=>"PA","NU"=>"NU","PI"=>"PI","RN"=>"RN","BA"=>"BA","LO"=>"LO","RG"=>"RG","AV"=>"AV","GO"=>"GO","BI"=>"BI","PZ"=>"PZ","SO"=>"SO","CR"=>"CR","SR"=>"SR","LT"=>"LT","OR"=>"OR","CN"=>"CN","MI"=>"MI","CT"=>"CT","VA"=>"VA","PU"=>"PU","FE"=>"FE","TN"=>"TN","UD"=>"UD","AN"=>"AN","OT"=>"OT","IM"=>"IM","CZ"=>"CZ","CO"=>"CO","VR"=>"VR","ME"=>"ME","CL"=>"CL","BL"=>"BL","CH"=>"CH","MT"=>"MT","RE"=>"RE","TR"=>"TR","LC"=>"LC","PE"=>"PE","RM"=>"RM","BO"=>"BO","VC"=>"VC","TV"=>"TV","CB"=>"CB","TO"=>"TO","NA"=>"NA","LI"=>"LI","LU"=>"LU","MS"=>"MS","CI"=>"CI","SI"=>"SI","PG"=>"PG","IS"=>"IS","VE"=>"VE","FG"=>"FG","TA"=>"TA","BG"=>"BG","RI"=>"RI","PO"=>"PO","FI"=>"FI","PD"=>"PD","SS"=>"SS","AP"=>"AP","CE"=>"CE","SA"=>"SA","PN"=>"PN","PV"=>"PV","PR"=>"PR","BZ"=>"BZ","SP"=>"SP","RA"=>"RA","PT"=>"PT","VI"=>"VI","NO"=>"NO","AL"=>"AL","TE"=>"TE","LE"=>"LE","CS"=>"CS","FR"=>"FR","TS"=>"TS","AG"=>"AG","GE"=>"GE","OG"=>"OG","BN"=>"BN","GR"=>"GR","BS"=>"BS","CA"=>"CA","VS"=>"VS","VT"=>"VT","VB"=>"VB","MO"=>"MO","AQ"=>"AQ","TP"=>"TP");
	$state_code["MX"]=array("AG"=>"AG|AGUASCALIENTES","BN"=>"BN|BAJA CALIFORNIA","BS"=>"BS|BAJA CALIFORNIA SUR","CA"=>"CA|COAHUILA","CH"=>"CH|CHIHUAHUA","CL"=>"CL|COLIMA","CM"=>"CM|CAMPECHE","CP"=>"CP|CHIAPAS","DF"=>"DF|MEXICO CITY|MEXICO","DU"=>"DU|DURANGO","GR"=>"GR|GUERRERO","GT"=>"GT|GUANAJUATO","HI"=>"HI|HIDALGO ","JA"=>"JA|JALISCO","MC"=>"MC|MICHOACAN","MR"=>"MR|MORELOS","NA"=>"NA|NAYARIT","NL"=>"NL|NEW LEON|NEW LEON","OA"=>"OA|OAXACA","PU"=>"PU|PUEBLA","QE"=>"QE|QUERETARO","QR"=>"QR|QUINTANA ROO","SI"=>"SI|SINALOA","SL"=>"SL|SAN LUIS POTOSI","SO"=>"SO|SONORA","TB"=>"TB|TABASCO","TL"=>"TL|TLAXCALA","TM"=>"TM|TAMAULIPAS","VE"=>"VE|VERACRUZ","YU"=>"YU|YUCATAN","ZA"=>"ZA|ZACATECAS");
	$state_code["US"]=array('AK'=>'ALASKA', 'AL'=>'ALABAMA', 'AR'=>'ARKANSAS', 'AZ'=>' ARIZONA', 'CA'=>'CALIFORNIA', 'CO'=>'COLORADO', 'CT'=>'CONNECTICUT', 'DE'=>'DELAWARE', 'FL'=>'FLORIDA', 'GA'=>'GEORGIA', 'HI'=>'HAWAII', 'IA'=>'IOWA', 'ID'=>'IDAHO', 'IL'=>'ILLINOIS', 'IN'=>'INDIANA', 'KS'=>'KANSAS', 'KY'=>'KENTUCKY', 'LA'=>'LOUISIANA', 'MA'=>'MASSACHUSETTS', 'MD'=>'MARYLAND', 'ME'=>'MAINE', 'MI'=>'MICHIGAN', 'MN'=>'MINNESOTA', 'MO'=>'MISSOURI', 'MS'=>'MISSISSIPPI', 'MT'=>'MONTANA', 'NC'=>'NORTH CAROLINA', 'ND'=>'NORTH DAKOTA', 'NE'=>'NEBRASKA', 'NH'=>'NEW HAMPSHIRE', 'NJ'=>'NEW JERSEY', 'NM'=>'NEW MEXICO', 'NV'=>'NEVADA', 'NY'=>'NEW YORK', 'OH'=>'OHIO', 'OK'=>'OKLAHOMA', 'OR'=>'OREGON', 'PA'=>'PENNSYLVANIA', 'RI'=>'RHODE ISLAND', 'SC'=>'SOUTH CAROLINA', 'SD'=>'SOUTH DAKOTA', 'TN'=>'TENNESSEE', 'TX'=>'TEXAS', 'UT'=>'UTAH', 'VA'=>' VIRGINIA', 'VT'=>'VERMONT', 'WA'=>'WASHINGTON', 'WI'=>'WISCONSIN', 'WV'=>'WEST VIRGINIA', 'WY'=>'WYOMING');

?>